/* Dark Mode */
.tx_nsnewscomments.tx_nsnewscomments--dark-mode {
  background-color: #222;
  color: #ddd;
  padding: 20px 30px;

  h1,
  h2,
  h3,
  p {
    color: #ddd;
  }

  * {
    color: #ddd;
  }
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .typo3-messages .alert-message {
  color: var(--primary-color);
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comment-form-close-btn {
  color: #ddd;
  opacity: 1;
  text-shadow: none;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .ns-headline h1,
.tx_nsnewscomments.tx_nsnewscomments--dark-mode .ns-headline h2,
.tx_nsnewscomments.tx_nsnewscomments--dark-mode .ns-headline h3,
.tx_nsnewscomments.tx_nsnewscomments--dark-mode .ns-headline h4 {
  color: #ddd;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode form .ns-form-group input::placeholder,
.tx_nsnewscomments.tx_nsnewscomments--dark-mode form .ns-form-group textarea::placeholder {
  color: #ddd;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode form .ns-form-group.has-error input,
.tx_nsnewscomments.tx_nsnewscomments--dark-mode form .ns-form-group.has-error textarea {
  color: #ee0101;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .ns-comment-filters .ns-comment-filters-type {
  color: #ddd;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .ns-icon-reply {
  background-color: #ddd;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comments-block--with-bg-color .comment-main-level .comment-box,
.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comments-block.comments-block--with-bg-color.comment-avatar--top .comment-main-level .comment-box {
  background-color: #3d3d3d;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comment-avatar--top .comments-list .comment-box .comment-head {
  border-top-left-radius: 50px;
  border-bottom-left-radius: 50px;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comments-block--with-border .comments-list .comment-box .comment-head,
.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comments-block--with-bg-color .comments-list .comment-box .comment-head {
  background-color: #3d3d3d;
  border-color: #ddd;
  padding-right: 15px;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comment-box .comment-head {
  color: #666;
  background-color: #3d3d3d;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comments-block--with-border.comment-avatar--top .comments-list .comment-box .comment-head {
  background-color: transparent;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode form .ns-form-group input:not(.ns-btn-send),
.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comment-main-level .comment-box,
.tx_nsnewscomments.tx_nsnewscomments--dark-mode form .ns-form-group textarea {
  background-color: transparent;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .text-muted {
  color: #ddd !important;
}

.tx_nsnewscomments.tx_nsnewscomments--dark-mode .comment-head .comment-link {
  background-image: url('data:image/svg+xml;base64,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');
}